Project

General

Profile

Bug #23946

checkClassVersion uses unsupported string.strip method in Python 3.7

Added by Kyle Knoepfel 23 days ago. Updated 6 days ago.

Status:
Closed
Priority:
Normal
Assignee:
Target version:
-
Start date:
01/24/2020
Due date:
% Done:

100%

Estimated time:
1.00 h
Spent time:
Duration:

Description

When Python 3.7.2 is set up, the checkClassVersion script uses unsupported interface from the Python string module. For both Python 2.7 and 3.7, using the built-in str.strip() method should be sufficient.


Related issues

Related to LArSoft - Bug #23956: checkClassVersion error in py3: (Need to update cetbuildtools to v7_15_01)Closed01/27/2020

History

#1 Updated by Kyle Knoepfel 23 days ago

  • Estimated time set to 1.00 h
  • Assignee set to Kyle Knoepfel
  • Status changed from New to Assigned

#2 Updated by Kyle Knoepfel 23 days ago

  • % Done changed from 0 to 100
  • Status changed from Assigned to Resolved

This has been fixed with cetbuildtools v7_15_01, which is available on SciSoft.

#3 Updated by Lynn Garren 20 days ago

  • Related to Bug #23956: checkClassVersion error in py3: (Need to update cetbuildtools to v7_15_01) added

#4 Updated by Lynn Garren 6 days ago

  • Status changed from Resolved to Closed


Also available in: Atom PDF